Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.io
Class ImageInputStreamImpl2

    java.lang.Object
      javax.imageio.stream.ImageInputStreamImpl
          org.monte.media.io.ImageInputStreamImpl2

All Implemented Interfaces:
  java.io.DataInput, javax.imageio.stream.ImageInputStream

Direct Known Subclasses:
  ByteArrayImageInputStream, SubImageInputStream, UncachedImageInputStream

    public abstract class ImageInputStreamImpl2

extends javax.imageio.stream.ImageInputStreamImpl

`ImageInputStreamImpl2` fixes bugs in ImageInputStreamImpl.

ImageInputStreamImpl uses read(byte[]) instead of readFully(byte[]) inside of readShort. This results in corrupt data input if the underlying stream can not fulfill the read operation in a single step.

Version:
  $Id: ImageInputStreamImpl2.java 134 2011-12-02 16:23:00Z werner $
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class javax.imageio.stream.ImageInputStreamImpl
`bitOffset, byteOrder, flushedPos, streamPos`

Constructor Summary
`ImageInputStreamImpl2()`

Method Summary
`int` | `readInt()`
`short` | `readShort()`

Methods inherited from class javax.imageio.stream.ImageInputStreamImpl
`checkClosed, close, finalize, flush, flushBefore, getBitOffset, getByteOrder, getFlushedPosition, getStreamPosition, isCached, isCachedFile, isCachedMemory, length, mark, read, read, read, readBit, readBits, readBoolean, readByte, readBytes, readChar, readDouble, readFloat, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readLine, readLong, readUnsignedByte, readUnsignedInt, readUnsignedShort, readUTF, reset, seek, setBitOffset, setByteOrder, skipBytes, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageInputStreamImpl2

    public ImageInputStreamImpl2()

Method Detail

### readShort

    public short readShort()
                    throws java.io.IOException

  Specified by:
    `readShort` in interface `java.io.DataInput`
  Specified by:
    `readShort` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `readShort` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Specified by:
    `readInt` in interface `java.io.DataInput`
  Specified by:
    `readInt` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `readInt` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD